# Class InvalidModuleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jdi.InvalidModuleException

All Implemented Interfaces:
  `Serializable`

public class InvalidModuleException extends RuntimeException
Thrown to indicate that the requested module is invalid or became invalid after the module was unloaded.

Since:
  9
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidModuleException()`
  Constructs an `InvalidModuleException` with no detail message.
  `InvalidModuleException(String msg)`
  Constructs an `InvalidModuleException` with the given detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidModuleException

    public InvalidModuleException()
    Constructs an `InvalidModuleException` with no detail message.

  - ### InvalidModuleException

    public InvalidModuleException(String msg)
    Constructs an `InvalidModuleException` with the given detail message.
    Parameters:
      `msg` - The detail message; can be `null`